<?php
namespace JHodges\PHPUnitBase;

/**
* Set up the Selenium test using args from environment
* Take a screenshot on failed test
**/

abstract class BrowserTest extends \PHPUnit_Extensions_Selenium2TestCase{

  public function setUp(){
    $this->setHost('localhost');
    $this->setPort(4444);
    $args=explode(' ',getenv('SeleniumBrowserArgsVal'));
    $args[]='screenshot';
    $this->setDesiredCapabilities([getenv('SeleniumBrowserArgsKey')=>['args'=>$args]]);
    if($url=getenv('SeleniumBrowserUrl')){
        $this->setBrowserUrl($url);
    }
    $this->setBrowser(getenv('SeleniumBrowser'));
  }

  public function tearDown(){
    if ($this->getStatus()!==0) {
      if($path=getenv('SeleniumScreenshotPath')){
        $filedata = $this->currentScreenshot();
        file_put_contents($path.get_class($this).'::'.$this->getName().'.png', $filedata);
      }
    }
    $this->stop();
  }

}
